Public APIAPI ReferenceDeployments

Get a deployment screenshot through a signed URL.

Beta API

The /v1 API contract may change, including breaking changes without compatibility aliases.

GET/v1/previews/{appId}/{deploymentId}/{version}/{token}

Get a WebP image through a signed capability URL. Supports GET and HEAD, and returns 304 for a matching If-None-Match. version is the capture time in Unix milliseconds.

Path Parameters

appId*string
deploymentId*string
token*string
version*string

Response Body

image/webp

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/previews/string/string/string/string"
"string"